﻿@*@model ARGNS.Model.Implementations.View.JsonObjectResult
@{
    RecordsetView mRecordSet = Newtonsoft.Json.JsonConvert.DeserializeObject<RecordsetView>(Model.Others.Where(c => c.Key == "jsonQueryResult").FirstOrDefault().Value);
    List<string> mHeadersName = mRecordSet.Row.FirstOrDefault().Property.Select(c => c.Name).ToList();

}

@if(mRecordSet != null)
{
    string chartDataContent = string.Empty;
    <script>
        var chart;
        var legend;
        @foreach (RecordsetRowView item in mRecordSet.Row)
        {
            foreach (RecordsetRowPropertyView mProperty in item.Property)
            {
                chartDataContent += "{\""+mProperty.Name+"\": \""+mProperty.Value+"\",\"value\": 260},";
               = [


                    {
                "country": "Ireland",
                        "value": 201
                    },
                    {
                "country": "Germany",
                        "value": 65
                    },
                    {
                "country": "Australia",
                        "value": 39
                    },
                    {
                "country": "UK",
                        "value": 19
                    },
                    {
                "country": "Latvia",
                        "value": 10
                    }
                ];
        }
        }
        AmCharts.ready(function () {
            // PIE CHART
            chart = new AmCharts.AmPieChart();
            chart.dataProvider = chartData;
            chart.titleField = "country";
            chart.valueField = "value";
            chart.outlineColor = "#FFFFFF";
            chart.outlineAlpha = 0.8;
            chart.outlineThickness = 2;
            chart.balloonText = "[[title]]<br><span style='font-size:14px'><b>[[value]]</b> ([[percents]]%)</span>";
            // this makes the chart 3D
            chart.depth3D = 15;
            chart.angle = 30;

            // WRITE
            chart.write("chartdiv");
        });
    </script>
}

            



<div id="TableItemsForm">
    <table class="table table-striped">
        <thead>
            <tr>
                @foreach (string mHeaderName in mHeadersName)
                {
                    <th><strong>@mHeaderName</strong></th>
                }
            </tr>
        </thead>
        <tbody>
            @if (mRecordSet != null)
            {
                foreach (RecordsetRowView item in mRecordSet.Row)
                {
                    <tr>
                        @foreach (RecordsetRowPropertyView mProperty in item.Property)
                        {
                            <td>@mProperty.Value</td>
                        }
                    </tr>
                }
            }
        </tbody>
    </table>
</div>*@